<template>
    <div v-if="init||visible">
        <slot></slot>
    </div>
</template>
<script>
export default {
    props:{
        visible:{
            type:Boolean,
            default:true
        }
    },
    data:function(){
        init:false
    },
    watch:{
        visible:function(value){
            if(value) this.init=true;
        }
    }
}
</script>
